Skip to content
Docs

Portfolio Manager/Loan Tape V1

Download pledged loans

GET/external/secure/api/v1/portfolio/download/pledged/{assetType}/{layout}
Request
curl -X GET \
  "https://figure.com/external/secure/api/v1/portfolio/download/pledged/{assetType}/{layout}" \
  -H "apikey: $FIGURE_API_KEY"

Path parameters

  • assetTypestringRequired
  • layoutstringRequired

    CSV layout available for the provided asset type

Query parameters

  • cutoffDatestring

    Cutoff date for requested asset data

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200CSV record of pledged loan data based on the specified asset type and layout

Returns the file as text/plain.

Response

Returns the file itself (text/plain).